This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours

Bug 581792

Summary: Gateway MAC address changes on every restart
Product: [Fedora] Fedora Reporter: Michael Lipp <mnl>
Component: libvirtAssignee: Daniel Veillard <veillard>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 13CC: berrange, clalance, crobinso, itamar, jforbes, mnl, rth, sjensen, veillard, virt-maint
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-06-10 13:38:31 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Michael Lipp 2010-04-13 05:00:55 EDT
Description of problem:

libvirt (0.7.0) creates a default networt for the VMs. Within this network address 192.168.122.1 is the gateway by default. The MAC address of this gateway changes on every VM reboot. This causes problems with Windows 7 because W7 assumes to be attached to a new network on every reboots (Windows 7 takes the gateways MAC address as identifier of the network that it is attached to).

Version-Release number of selected component (if applicable):

0.7.0

How reproducible:

Always.


Steps to Reproduce:
1. Install Windows 7 in a VM. 
2. Boot and Login. 
3. In command window type "arp -a".
4. Note MAC address related with 192.168.122.1
5. Shutdown (note that rebooting will not cause the problem because the VM remains the same)
6. Boot and Login. Note that you will have to choose your network type again.
7. In command window type "arp -a".
8. Compare MAC address related with 192.168.122.1 to previously noted. It has changed
 
  
Actual results:

Changed MAC address

Expected results:

Same MAC address

Additional info:
Comment 1 Stefan Jensen 2010-06-18 09:37:25 EDT
Can confirm this behavior. Even on F13 this is a problem. Vista, Win7 detecting always a new network on reboot/shutdown/start. It is really annoying.

$rpm -qa| grep virt

libvirt-python-0.7.7-4.fc13.x86_64
libvirt-client-0.7.7-4.fc13.x86_64
python-virtkey-0.50-6.fc12.x86_64
libvirt-0.7.7-4.fc13.x86_64
python-virtinst-0.500.3-1.fc13.noarch
virt-viewer-0.2.1-1.fc13.x86_64
virt-manager-0.8.4-1.fc13.noarch

best regards
Comment 2 Michael Lipp 2010-06-21 06:57:52 EDT
BTW I have documented my workaround on http://jsomt.blogspot.com/

regards
Comment 3 Stefan Jensen 2010-07-02 19:14:26 EDT
Indeed, this workaround does it for me. Thank you.
But a "real solution" should better be done by libvirtd itself, i think.

best regards
Comment 4 Bug Zapper 2010-11-03 13:15:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Richard Henderson 2010-11-03 13:56:31 EDT
This appears to have been somewhat fixed in Fedora 14.

The bridge address is no longer random, but matches the address of
one of the guests.  It doesn't seem to be simply the first guest
started, but some other criteria.  Nevertheless, the set of networks
that Win7 will want to remember would appear to be bounded by the
number of virtual NICs bound to the vnet.
Comment 6 Bug Zapper 2011-06-02 11:26:30 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Cole Robinson 2011-06-10 13:38:31 EDT
I know effort was put into fixing this upstream, not sure if it all landed in F14 like comment#5 indicates, or F15. Either way, closing as CURRENTRELEASE. Please open a separate bug if you are experiencing issues in newer fedora